HMWJTextInternal::Token Struct Reference

Internal: class to store a token of a HMWJText. More...

## Public Member Functions

| Token ()
| constructor More...

## Public Attributes

int | m_type
| the token type More...
long | m_id
| the id ( to be send) More...
int | m_localId
| the local id More...
std::string | m_bookmark
| the bookmark string More...
int | m_length
| the token length in caller text More...
std::string | m_extra
| extra string string More...

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tk)
| operator<< More...

## Detailed Description

Internal: class to store a token of a HMWJText.

## Constructor & Destructor Documentation

HMWJTextInternal::Token::Token | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tk
| ) |  |

friend

operator<<

## Member Data Documentation

std::string HMWJTextInternal::Token::m_bookmark

the bookmark string

Referenced by HMWJText::sendText().

std::string HMWJTextInternal::Token::m_extra

extra string string

Referenced by HMWJText::readTextToken().

long HMWJTextInternal::Token::m_id

the id ( to be send)

Referenced by HMWJText::getTokenIdList(), HMWJText::readTextToken(), and HMWJText::sendText().

int HMWJTextInternal::Token::m_length

the token length in caller text

Referenced by HMWJText::readTextToken().

int HMWJTextInternal::Token::m_localId

the local id

Referenced by HMWJText::readTextToken(), and HMWJText::sendText().

int HMWJTextInternal::Token::m_type

the token type

Referenced by HMWJText::getTokenIdList(), HMWJText::readTextToken(), and HMWJText::sendText().

The documentation for this struct was generated from the following file:

- HMWJText.cxx